jQuery.noConflict();
jQuery('.banner-paginas').each(function(){
  var jQuerycontrol = jQuery(this),
  option = { transition: 500, wait: 8000},
  jQueryimageList = jQuery('.body-list > li', this),
  jQuerydotList = jQuery('.selector-list > li', this);

  function change(direction) {
    var jQuerycurrent = jQueryimageList.filter('.active'),
    jQuerynext = null;

    clearTimeout(jQuerycontrol.data('timer'));

    if(direction==='prev') {
      jQuerynext = jQuerycurrent.prev();
      if(jQuerynext.length===0) {
        jQuerynext = jQueryimageList.last();
      }
    } else {
      jQuerynext = jQuerycurrent.next();
      if(jQuerynext.length===0) {
        jQuerynext = jQueryimageList.first();
      }
    }
    changeTo(jQuerynext);
  }

  function changeTo(jQuerynext) {
    var jQuerycurrent = jQueryimageList.filter('.active');

    clearTimeout(jQuerycontrol.data('timer'));

    jQuerydotList.removeClass('active').eq(jQuerynext.index()).addClass('active');
    jQuerynext.addClass('next-active').animate({opacity:1}, option.transition,function(){
      jQueryimageList.removeClass('active');
      jQuerynext.removeClass('next-active').addClass('active').removeAttr('style');
      init();
    });
  }

  function init() {
    clearTimeout(jQuerycontrol.data('timer'));
    jQuerycontrol.data('timer', setTimeout(function(){
      change('next');
    }, option.wait));
  }

  if(jQueryimageList.length>1) {
    jQuery('a', jQuerydotList).click(function(e) {
      e.preventDefault();

      var idx = jQuery(this).parent().index();
      changeTo(jQueryimageList.eq(idx));
    });
    jQuery('.next-link', jQuerycontrol).click(function(e){
      e.preventDefault();

      change('next');
    });
    jQuery('.prev-link', jQuerycontrol).click(function(e){
      e.preventDefault();

      change('prev');
    });

    init();
  }
});